<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Block\Adminhtml\Jobs;

use FiloBlu\MappConnector\Model\JobsFactory;
use Magento\Backend\Block\Widget\Form\Container;
use \Magento\Backend\Block\Widget\Context;
/**
 * Class View
 * @package FiloBlu\MappConnector\Block\Adminhtml\Jobs
 */
class View extends Container
{
    /**
     * @var JobsFactory
     */
    private $jobsFactory;

    /**
     * View constructor.
     * @param Context $context
     * @param JobsFactory $jobsFactory
     * @param array $data
     */
    public function __construct(
        Context $context,
        JobsFactory $jobsFactory,
        array $data = []
    ) {
        parent::__construct($context, $data);
        $this->jobsFactory = $jobsFactory;
    }

    /**
     * Gets Job record from DB
     *
     * @return mixed
     */
    public function getJob()
    {
        $id = $this->getRequest()->getParam('id');
        return $this->jobsFactory->create()->load($id)
            ->getData();
    }

    /**
     * View Constructor
     */
    protected function _construct()
    {
        parent::_construct();
        $this->_objectId = 'id';
        $this->_blockGroup = 'FiloBlu_MappConnector';
        $this->_controller = 'adminhtml_jobs';
        $this->buttonList->remove('save');
        $this->buttonList->remove('reset');
    }
}
