<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Block\Adminhtml\System\Config\Order;

use FiloBlu\MappConnector\Block\Adminhtml\System\Config\AbstractConfig;
use Magento\Backend\Block\Template\Context;
use Magento\Framework\App\ResourceConnection;

/**
 * Class Order
 * @package FiloBlu\MappConnector\Block\Adminhtml\System\Config\Order
 */
class Order extends AbstractConfig
{

    /**
     * Order Model
     *
     * @var \Magento\Sales\Model\Order
     */
    protected $_model;

    /**
     * @var string
     */
    protected $_id = 'order';

    /**
     * @var string
     */
    protected $_type = 'flat';

    /**
     * @var array
     */
    protected $_exclude = ['entity_id'];

    /**
     * Order constructor.
     * @param \Magento\Sales\Model\Order $order
     * @param Context $context
     * @param ResourceConnection $resourceConnection
     * @param array $data
     */
    public function __construct(
        \Magento\Sales\Model\Order $order,
        Context $context,
        ResourceConnection $resourceConnection,
        array $data = []
    ) {
        $this->_model = $order;
        parent::__construct($context, $resourceConnection, $data);
    }

}
