<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Block\Adminhtml\System\Config\Quote;

use FiloBlu\MappConnector\Block\Adminhtml\System\Config\AbstractConfig;
use Magento\Backend\Block\Template\Context;
use Magento\Framework\App\ResourceConnection;

/**
 * Class Product
 * @package FiloBlu\MappConnector\Block\Adminhtml\System\Config\Quote
 */
class Product extends AbstractConfig
{

    /**
     * Product Model
     *
     * @var \Magento\Catalog\Model\Product
     */
    protected $_model;

    /**
     * @var string
     */
    protected $_id = 'quote_product';

    /**
     * @var string
     */
    protected $_type = 'eav';

    /**
     * @var array
     */
    protected $_exclude = ['entity_id','row_id'];

    /**
     * Attributes constructor.
     * @param \Magento\Catalog\Model\Product $product
     * @param Context $context
     * @param ResourceConnection $resourceConnection
     * @param array $data
     */
    public function __construct(
        \Magento\Catalog\Model\Product $product,
        Context $context,
        ResourceConnection $resourceConnection,
        array $data = []
    ) {
        $this->_model = $product;
        parent::__construct($context, $resourceConnection, $data);
    }
}
