<?php
/**
 * Copyright © 2018 Filoblu S.p.A. All rights reserved.
 */

namespace FiloBlu\MappConnector\Block\Adminhtml\System\Config\Quote;

use FiloBlu\MappConnector\Block\Adminhtml\System\Config\AbstractConfig;
use Magento\Backend\Block\Template\Context;
use Magento\Framework\App\ResourceConnection;
use Magento\Quote\Model\Quote\Item;

/**
 * Class QuoteItem
 * @package FiloBlu\MappConnector\Block\Adminhtml\System\Config\Quote
 */
class QuoteItem extends AbstractConfig
{

    /**
     * Quote Model
     *
     * @var Item
     */
    protected $_model;

    /**
     * @var string
     */
    protected $_id = 'quote_item';

    /**
     * @var string
     */
    protected $_type = 'flat';

    /**
     * @var array
     */
    protected $_exclude = ['entity_id'];

    /**
     * @var array
     */
    protected $_additionalOptions =  [
        ['value' => 'key', 'label' => 'Key'],
        ['value' => 'product_uri', 'label' => 'Product Uri'],
        ['value' => 'product_attribute_set', 'label' => 'Product Attribute Set'],
        ['value' => 'product_main_thumbnail', 'label' => 'Product Thumbnail']
    ];

    /**
     * Order constructor.
     * @param Item $quoteItem
     * @param Context $context
     * @param ResourceConnection $resourceConnection
     * @param array $data
     */
    public function __construct(
        Item $quoteItem,
        Context $context,
        ResourceConnection $resourceConnection,
        array $data = []
    ) {
        $this->_model = $quoteItem;
        parent::__construct($context, $resourceConnection, $data);
    }
}
